import LarkBody from "./larkBody"
import LarkCard from "./larkCard"
import * as cardComponent from "./larkCard/component"
import { LarkAction, LarkEvent } from "./types"

/**
 * 生成消息卡片的Options
 */
export const genCardOptions = (options: Record<string, string>) => {
  return Object.entries(options).map(([text, value]) => ({
    text: {
      tag: "plain_text",
      content: text,
    },
    value,
  }))
}

export { cardComponent, LarkAction, LarkBody, LarkCard, LarkEvent }
